import Request from '../common/request.js';
let request = new Request().http

// 获取问卷调查列表
export function getQuestionnaireList(data) {
	return request('/app/drugResearch/getSurveyTaskList',  data, 'POST', 'application/json;charset=UTF-8');
}

// 获取问卷调查详情
export function getQuestionnaireDetail(data) {
	return request('/app/drugResearch/getSurveyTaskDetailById', data, 'POST');
}

// 提交问卷调查
export function submitQuestionnaire(data) {
	return request('/app/drugResearch/insertDrugResearch', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取问卷期号
export function getPeriodData() {
	return request('/app/drugResearch/getPeriodData', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取我的问卷列表
export function getMyQuestionnaireList(data) {
	return request('/store/app/questionnaire/getMyList', data, 'GET');
}

// 保存问卷草稿
export function saveQuestionnaireDraft(data) {
	return request('/store/app/questionnaire/saveDraft', data, 'POST', 'application/json;charset=UTF-8');
}














